<?php require_once('Connections/cn.php'); ?>
<?php
  session_start();
  header("Content-Type:text/html; charset=utf-8");
    // Capturo datos que vienes de menu_constancias.php
	$id_carrera=$_GET['id_carrera'];
	$cedula=$_GET['id_alumno'];
	
	mysql_select_db("siga_pregrado");
    mysql_query ("SET NAMES 'utf8'"); 
	// Busco los datos del estudiante.
	$sql = "SELECT id_alumno,apellidos,nombres FROM alumnos WHERE cedula='$cedula'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$id_alumno=$row['id_alumno'];
	$completo=trim($row['nombres'])." ".trim($row['apellidos']);
	
	// Valido existencia de lapso CIU Abierto.
	$sql = "SELECT id_periodo FROM periodos WHERE tipo='CIU' and status='ABIERTO'";
	
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$id_periodo=$row['id_periodo'];
	
	$reg=mysql_num_rows($rs);
	if($reg==0){
	   ?>
	   <script type="text/javascript">
	      msj="Constancia no procesada.\nActualmente no existe CIU Abierto.";
		  alert(msj);
		  window.parent.document.form1.cedula.focus();
		  window.parent.document.form1.constancia.value=99;
	   </script>
	   <?php
	   exit;
	}
	
	// Busco al alumno en el Lapso.
	$sql = "SELECT * FROM historial_alumnos WHERE id_alumno='$id_alumno' and id_periodo='$id_periodo'";
	$rs = mysql_query($sql, $cn);
	$reg=mysql_num_rows($rs);
	if($reg==0){
      ?>
	 <script type="text/javascript">
	    msj="Constancia no procesada.\nEstudiante <?php echo $completo; ?>\nNo está inscrito en el CIU.";
		alert(msj);
		window.parent.document.form1.cedula.focus();
		 window.parent.document.form1.constancia.value=99;
	 </script>
	<?php
	}
?>